cURL
curl --request POST \
--url https://api.ctrl-hub.com/v3/orgs/{org_id}/customers/appointments/{appointment_id}/actions/cancel \
--header 'Content-Type: application/vnd.api+json' \
--header 'X-Session-Token: <api-key>' \
--data '
{
"data": {
"type": "<string>",
"attributes": {
"reason": "<string>"
}
}
}
'import requests
url = "https://api.ctrl-hub.com/v3/orgs/{org_id}/customers/appointments/{appointment_id}/actions/cancel"
payload = { "data": {
"type": "<string>",
"attributes": { "reason": "<string>" }
} }
headers = {
"X-Session-Token": "<api-key>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Session-Token': '<api-key>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({data: {type: '<string>', attributes: {reason: '<string>'}}})
};
fetch('https://api.ctrl-hub.com/v3/orgs/{org_id}/customers/appointments/{appointment_id}/actions/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"medical_dependency": true,
"on_ecr": true,
"animals": true,
"notes": "<string>",
"on_ecr_notes": "<string>",
"cancelled_at": "2023-11-07T05:31:56Z",
"cancelled_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cancellation_reason": "<string>"
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"author": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"interaction": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"operation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"time_band": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
}
}
},
"jsonapi": {
"version": "<string>"
}
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "8e2f9a34-b5c6-4d7e-9f8a-2b3c4d5e6f7g",
"status": "409",
"title": "Conflict",
"detail": "The request conflicts with the current state of the resource.",
"code": "CONFLICT.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Customer Appointments
Cancel an appointment
Cancel a scheduled appointment.
Sets the appointment’s status to cancelled and records cancelled_at,
cancelled_by (from the authenticated user), and the optional
cancellation_reason. Only appointments in the scheduled state can be
cancelled — cancelling an already-cancelled or aborted appointment returns
409.
The linked operation is not modified; it remains available for rebooking.
POST
/
v3
/
orgs
/
{org_id}
/
customers
/
appointments
/
{appointment_id}
/
actions
/
cancel
cURL
Authorizations
SessionOAuth2Cookie
Session token for authentication.
Path Parameters
The unique identifier for the organisation.
The unique identifier for the appointment.
Body
application/vnd.api+json
Optional cancellation details. When a body is supplied it must follow the
JSON:API envelope and use the appointment-cancellations type.
Show child attributes
Show child attributes
⌘I